Type to search.

Get all connector sync jobs

  • GET /_connector/_sync_job
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Beta since 8.12 This functionality is in beta and is not ready for production usage. For beta features, the design and code is less mature than official GA features and is being provided as-is with no warranties. Beta features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get information about all stored connector sync jobs listed by their creation date in ascending order.

Query parameters

from number · default: 0

Starting offset

size number · default: 100

Specifies a max number of results to get

status enum

A sync job status to fetch connector sync jobs for

Values: canceling canceled completed error in_progress pending suspended
connector_id string

A connector id to fetch connector sync jobs for

job_type union enum | enum[]

A comma-separated list of job types to fetch the sync jobs for

Supported values include: full, incremental, access_control

Values: full incremental access_control

Response

application/json
count number required
results object[] required
cancelation_requested_at union oneOf
One of: string or number
canceled_at union oneOf
One of: string or number
completed_at union oneOf
One of: string or number
connector object required
configuration object required
filtering object required
advanced_snippet object required
created_at union oneOf
One of: string or number
updated_at union oneOf
One of: string or number
value object required
rules object[] required
created_at union oneOf
One of: string or number
field string required
id string required
order number required
policy enum required
Values: exclude include
rule enum required
Values: contains ends_with equals regex starts_with > <
updated_at union oneOf
One of: string or number
value string required
validation object required
errors object[] required
ids string[] required
messages string[] required
state enum required
Values: edited invalid valid
id string required
index_name string required
language string
service_type string required
sync_cursor object
created_at union oneOf required
One of: string or number
deleted_document_count number required
error string
id string required
indexed_document_count number required
indexed_document_volume number required
job_type enum required
Values: full incremental access_control
last_seen union oneOf
One of: string or number
metadata map string to object required
started_at union oneOf
One of: string or number
status enum required
Values: canceling canceled completed error in_progress pending suspended
total_document_count number required
trigger_method enum required
Values: on_demand scheduled
worker_hostname string